declare type Section = {
    label: string;
    timestamp: string;
};
declare type Snippet = string | {
    label: string;
    url: string;
};
declare type AffiliateSnippet = Snippet | {
    label: string;
    url: Snippet[];
};
declare type Footnote = string | {
    type: string;
    timestamp: string;
    message: string;
};
export interface Video {
    id: string;
    publishedAt: string;
    title: string;
    description: string;
    tags: string[];
    categoryId: string;
    sections: Section[];
    suggestedVideos: Snippet[];
    links: Snippet[];
    credits: Snippet[];
    affiliateLinks: AffiliateSnippet[];
    footnotes: Footnote[];
    support: Snippet[];
    thumbnailHash?: string;
}
export interface Dataset {
    headings: {
        sections: string;
        suggestedVideos: string;
        links: string;
        credits: string;
        affiliateLinks: string;
        footnotes: string;
        support: string;
    };
    separator: string;
    affiliateLinks: {
        [key: string]: {
            [key: string]: AffiliateSnippet;
        };
    };
    videos: Video[];
}
export {};
